Name: gtk-theme-engine-clearlooks
Version: 2.91.5
Release: 5%{?dist}
Summary: Clearlooks GTK+ theme engine

Group: User Interface/Desktops
License: LGPLv2+
URL: http://git.gnome.org/browse/gtk-theme-engine-clearlooks
Source0: http://download.gnome.org/sources/%{name}/2.91/%{name}-%{version}.tar.bz2

BuildRequires:  gtk3-devel >= 2.99.0
BuildRequires: intltool gettext

Patch0: clearlooks-buttons.patch

%description
The Clearlooks GTK+ engine provides the default look for the GNOME desktop.


%prep
%setup -q

# already upstreamed
%patch0 -p1 -b .buttons

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# remove .la files
find $RPM_BUILD_ROOT%{_libdir} -name "*.la" | xargs rm

%files
%defattr(-,root,root,-)

# Engine components
%{_libdir}/gtk-3.0/3.0.0/theming-engines/*

# Support files (XML)
%{_datadir}/%{name}

%doc AUTHORS NEWS README COPYING


%changelog
* Wed Feb 10 2011 Matthias Clasen <mclasen@redhat.com> 2.91.5-5
- Rebuild against newer gtk

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.91.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb  2 2011 Matthias Clasen <mclasen@redhat.com> 2.91.5-3
- Rebuild against newer gtk

* Mon Jan 17 2011 Cosimo Cecchi <cosimoc@redhat.com> 2.91.5-2
- Add a patch 

* Fri Jan  7 2011 Matthias Clasen <mclasen@redhat.com> 2.91.5-1
- Update to 2.91.5

* Fri Dec  3 2010 Matthias Clasen <mclasen@redhat.com> 2.91.3-4
- Rebuild against new gtk

* Fri Nov 19 2010 Cosimo Cecchi <ccecchi@redhat.com> 2.91.3-3
- Move docs to the main package, not -devel
- Specify the gtk3-engines version we're obsoleting
- Add a note about COPYING not being the right one here

* Thu Nov 18 2010 Cosimo Cecchi <ccecchi@redhat.com> 2.91.3-2
- Add devel package for pkgconfig file
- Remove .la files when installing

* Mon Nov 15 2010 Cosimo Cecchi <ccecchi@redhat.com> 2.91.3-1
- First packaging of gtk-theme-engine-clearlooks
